#ifndef SRC_CORE_COMMAND_DEF_H_
#define SRC_CORE_COMMAND_DEF_H_

#define STR_NONE ""

#define STR_ADDMAX N_("Computes a new image combining the image in memory with the image <b>filename</b>. At each pixel location, the new value is determined as the max of value in current image and in <b>filename</b>")
#define STR_ASINH N_("Stretches the image to show faint objects using an hyperbolic arcsin transformation. The mandatory argument <b>stretch</b>, typically between 1 and 1000, will give the strength of the stretch. The black point can be offset by providing an optional <b>offset</b> argument in the normalized pixel value of [0, 1]. Finally the option <b>-human</b> enables using human eye luminous efficiency weights to compute the luminance used to compute the stretch value for each pixel, instead of the simple mean of the channels pixel values. This stretch method preserves lightness from the L*a*b* color space")
#define STR_AUTOSTRETCH N_("Auto-stretches the currently loaded image, with different parameters for each channel (unlinked) unless <b>-linked</b> is passed. Arguments are optional, <b>shadowclip</b> is the shadows clipping point, measured in sigma units from the main histogram peak (default is -2.8), <b>targetbg</b> is the target background value, giving a final brightness to the image, range [0, 1], default is 0.25")
#define STR_AUTOGHS N_("Application of the generalized hyperbolic stretch with a symmetry point SP defined as k.sigma from the median of each channel (the provided <b>shadowsclip</b> value is the k here and can be negative). By default, SP and the stretch are computed per channel; SP can be computed as a mean of image channels by passing <b>-linked</b>. The stretch amount <b>D</b> is provided in the second mandatory argument.\nImplicit values of 13 for <b>B</b>, making it very focused on the SP brightness range, 0.7 for <b>HP</b>, 0 for <b>LP</b> are used but can be changed with the options of the same names")

#define STR_BG N_("Returns the background level of the image loaded in memory")
#define STR_BGNOISE N_("Returns the background noise level of the image loaded in memory")
#define STR_BINXY N_("Computes the numerical binning of the in-memory image (sum of the pixels 2x2, 3x3..., like the analogic binning of CCD camera). If the optional argument <b>-sum</b> is passed, then the sum of pixels is computed, while it is the average when no optional argument is provided")
#define STR_BOXSELECT N_("Make a selection area in the currently loaded image with the arguments <b>x</b>, <b>y</b>, <b>width</b> and <b>height</b>, with <b>x</b> and <b>y</b> being the coordinates of the top left corner starting at (0, 0), and <b>width</b> and <b>height</b>, the size of the selection. The <b>-clear</b> argument deletes any selection area. If no argument is passed, the current selection is printed")

#define STR_CAPABILITIES N_("Lists Siril capabilities, based on compilation and runtime")
#define STR_CATSEARCH N_("Request SIMBAD server for particular photometric magnitude (BVRIJ), the argument is a star name")
#define STR_CD N_("Sets the new current working directory.\n\nThe argument <b>directory</b> can contain the ~ token, expanded as the home directory, directories with spaces in the name can be protected using single or double quotes")
#define STR_CDG N_("Returns the coordinates of the center of gravity of the image")
#define STR_CLAHE N_("Equalizes the histogram of an image using Contrast Limited Adaptive Histogram Equalization.\n\n<b>cliplimit</b> sets the threshold for contrast limiting.\n<b>tilesize</b> sets the size of grid for histogram equalization. Input image will be divided into equally sized rectangular tiles")
#define STR_CLEAR N_("Clears the graphical output logs")
#define STR_CLEARSTAR N_("Clear all the stars saved in memory and displayed on the screen")
#define STR_CLOSE N_("Properly closes the opened image and the opened sequence, if any")
#define STR_CONVERT N_("Converts all images in a known format into Siril's FITS images.\n\nThe argument <b>basename</b> is the basename of the new sequence. For FITS images, Siril will try to make a symbolic link. If not possible, files will be copied.\nThe flags <b>-fitseq</b> and <b>-ser</b> can be used to specify an alternative output format, other than the default FITS.\nThe option <b>-debayer</b> applies demosaicing to images. In this case no symbolic link are done.\n<b>-start=index</b> sets the starting index number and the <b>-out=</b> option converts files into the directory <b>out</b>")
#define STR_CONVERTRAW N_("Converts DSLR RAW files into Siril's FITS images.\n\nThe argument <b>basename</b> is the basename of the new sequence. For FITS images, Siril will try to make a symbolic link. If not possible, files will be copied.\nThe flags <b>-fitseq</b> and <b>-ser</b> can be used to specify an alternative output format, other than the default FITS.\nThe option <b>-debayer</b> applies demosaicing to images. In this case no symbolic link are done.\n<b>-start=index</b> sets the starting index number and the <b>-out=</b> option converts files into the directory <b>out</b>")
#define STR_COSME N_("Applies the local mean to a set of pixels on the in-memory image (cosmetic correction). The coordinates of these pixels are in an ASCII file [.lst file]. COSME is adapted to correct residual hot and cold pixels after preprocessing")
#define STR_COSME_CFA N_("Same function as COSME but applying to RAW CFA images")
#define STR_CROP N_("Crops to a selected area of the loaded image.\n\nIf a selection is active, no further arguments are required. Otherwise, or in scripts, arguments have to be given, with <b>x</b> and <b>y</b> being the coordinates of the top left corner, and <b>width</b> and <b>height</b> the size of the selection. Alternatively, the selection can be made using the BOXSELECT command")

#define STR_DDP N_("Performs a DDP (digital development processing) as described first by Kunihiko Okano. This implementation is the one described in IRIS.\n\nIt combines a linear distribution on low levels (below <b>level</b>) and a non-linear one on high levels.\nIt uses a Gaussian filter of standard deviation <b>sigma</b> and multiplies the resulting image by <b>coef</b>. Typical values for <b>sigma</b> are within 0.7 and 2")
#define STR_DENOISE N_("Denoises the image using the non-local Bayesian algorithm described by <a href=\"https://www.ipol.im/pub/art/2013/16\">Lebrun, Buades and Morel</a>.\n\nIt is strongly recommended to apply cosmetic correction to remove salt and pepper noise before running denoise, and by default this command will apply cosmetic correction automatically. However, if this has already been carried out earlier in the workflow it may be disabled here using the optional command <b>-nocosmetic</b>.\n\nAn optional argument <b>-mod=m</b> may be given, where 0 &lt;= m &lt;= 1. The output pixel is computed as : <i>out=m x d + (1 − m) x in</i>, where <i>d</i> is the denoised pixel value. A modulation value of 1 will apply no modulation. If the parameter is omitted, it defaults to 1.\n\nThe optional argument <b>-vst</b> can be used to apply the generalised Anscombe variance stabilising transform prior to NL-Bayes. This is useful with photon-starved images such as single subs, where the noise follows a Poisson or Poisson-Gaussian distribution rather than being primarily Gaussian. It cannot be used in conjunction with DA3D or SOS, and for denoising stacked images it is usually not beneficial.\n\nThe optional argument <b>-da3d</b> can be used to enable Data-Adaptive Dual Domain Denoising (DA3D) as a final stage denoising algorithm. This uses the output of BM3D as a guide image to refine the denoising. It improves detail and reduces staircasing artefacts.\n\nThe optional argument <b>-sos=<i>n</i></b> can be used to enable Strengthen-Operate-Subtract (SOS) iterative denoise boosting, with the number of iterations specified by n. In particular, this booster may produce better results if the un-boosted NL-Bayes algorithm produces artefacts in background areas. If both -da3d and -sos=n are specified, the last to be specified will apply.\n\nThe optional argument <b>-rho=r</b> may be specified, where 0 &lt; r &lt; 1. This is used by the SOS booster to determine the amount of noisy image added in to the intermediate result between each iteration. If -sos=n is not specified then the parameter is ignored.\n\nThe default is not to apply DA3D or SOS, as the improvement in denoising is usually relatively small and these techniques requires additional processing time.\n\nIn very rare cases, blocky coloured artefacts may be found in the output when denoising colour images. The optional argument <b>-indep</b> can be used to prevent this by denoising each channel separately. This is slower but will eliminate artefacts")
#define STR_DUMPHEADER N_("Dumps the FITS header")

#define STR_ENTROPY N_("Computes the entropy of the opened image on the displayed layer, only in the selected area if one has been selected or in the whole image. The entropy is one way of measuring the noise or the details in an image")
#define STR_EXIT N_("Quits the application")
#define STR_EXTRACT N_("Extracts <b>NbPlans</b> planes of wavelet domain")
#define STR_EXTRACTGREEN N_("Extracts green signal from a CFA image. The output file name starts with the prefix \"Green_\"")
#define STR_EXTRACTHA N_("Extracts Ha signal from a CFA image. The output file name starts with the prefix \"Ha_\"")
#define STR_EXTRACTHAOIII N_("Extracts Ha and OIII signals from a CFA image. The output files names start with the prefix \"Ha_\" and \"OIII_\"\n\nThe optional argument <b>-resample={ha|oiii}</b> sets whether to upsample the Ha image or downsample the OIII image. If this argument is not provided, no resampling will be carried out and the OIII image will have twice the height and width of the Ha image")

#define STR_FDIV N_("Divides the image in memory by the image given in argument. The resulting image is multiplied by the value of the <b>scalar</b> argument. See also IDIV")
#define STR_FFILL N_("Same command as FILL but this is a symmetric fill of a region defined by the mouse. Used to process an image in the Fourier (FFT) domain")
#define STR_FFTD N_("Applies a Fast Fourier Transform to the image loaded in memory. <b>Modulus</b> and <b>phase</b> given in argument are saved in FITS files")
#define STR_FFTI N_("Retrieves corrected image applying an inverse transformation. The <b>modulus</b> and <b>phase</b> used are the files given in argument")
#define STR_FILL N_("Fills the whole current image (or selection) with pixels having the <b>value</b> intensity expressed in ADU")
#define STR_FIND_COSME N_("Applies an automatic detection of cold and hot pixels following the thresholds written in arguments")
#define STR_FIND_COSME_CFA N_("Same command as FIND_COSME but for monochromatic CFA images")
#define STR_FIND_HOT N_("Saves a list file <b>filename</b> (text format) in the working directory which contains the coordinates of the pixels which have an intensity <b>hot_sigma</b> times higher and <b>cold_sigma</b> lower than standard deviation. We generally use this command on a master-dark file")
#define STR_FINDSTAR N_("Detects stars in the currently loaded image, having a level greater than a threshold computed by Siril.\nAfter that, a PSF is applied and Siril rejects all detected structures that don't fulfill a set of prescribed detection criteria, that can be tuned with command SETFINDSTAR.\nFinally, a circle is drawn around detected stars.\n\nOptional parameter <b>-out=</b> enables to save the results to the given path.\nOption <b>-layer=</b> specifies the layer onto which the detection is performed (for color images only).\n You can also limit the max number of stars detected by passing a value to option <b>-maxstars=</b>.\n\n\nSee also the command CLEARSTAR")
#define STR_FIXBANDING N_("Tries to remove the canon banding.\n\nArgument <b>amount</b> defines the amount of correction.\n<b>Sigma</b> defines a protection level of the algorithm, higher sigma gives higher protection.\n<b>-vertical</b> option enables to perform vertical banding removal")
#define STR_FIXXTRANS N_("Fixes the Fujifilm X-Trans Auto Focus pixels.\n\nIndeed, because of the phase detection auto focus system, the photosites used for auto focus get a little less light than the surrounding photosites. The camera compensates for this and increases the values from these specific photosites giving a visible square in the middle of the dark/bias frames")
#define STR_FMEDIAN N_("Performs a median filter of size <b>ksize</b> x <b>ksize</b> (<b>ksize</b> MUST be odd) to the original image with a modulation parameter <b>modulation</b>.\n\nThe output pixel is computed as : out=mod x m + (1 − mod) x in, where m is the median-filtered pixel value. A modulation's value of 1 will apply no modulation")
#define STR_FMUL N_("Multiplies the loaded image by the <b>scalar</b> given in argument")

#define STR_GAUSS N_("Performs a Gaussian filter with the given <b>sigma</b>")
#define STR_GET N_("Get a setting value, using its variable name, or list all with <b>-a</b> (name and value list) or <b>-A</b> (detailed list)")
#define STR_GETREF N_("Prints information about the reference image of the sequence given in argument. First image has index 0")
#define STR_GHT N_("Generalised hyperbolic stretch based on the work of the ghsastro.co.uk team.\n\nAn optional argument (either <b>-human</b>, <b>-even</b> or <b>-independent</b>, can be passed to select either human-weighted or even-weighted luminance or independent colour channels for colour stretches. (The argument is ignored for mono images.))\nThere are a number of mandatory arguments:\n<b>D</b> defines the strength of the stretch, between 0 and 10;\n<b>B</b> defines the intensity of the stretch near the focal point, between -5 and 15;\n<b>LP</b> defines a shadow preserving range between 0 and SP where the stretch will be linear, preserving shadow detail;\n<b>SP</b> defines the symmetry point of the stretch, between 0 and 1, which is the point at which the stretch will be most intense;\n<b>HP</b> defines a region between HP and 1 where the stretch is linear, preserving highlight details and preventing star bloat.\nOptionally the parameter <b>[channels]</b> may be used to specify the channels to apply the stretch to: this may be R, G, B, RG, RB or GB. The default is all channels")
#define STR_GREY_FLAT N_("Equalizes the mean intensity of RGB layers in a CFA image")

#define STR_HELP N_("Lists the available commands or help for one command")
#define STR_HISTO N_("Calculates the histogram of the image channel in memory and produces file histo_[channel name].dat in the working directory")

#define STR_IADD N_("Adds the image in memory to the image <b>filename</b> given in argument.\nResult will be in 32 bits per channel if allowed in the preferences")
#define STR_IDIV N_("Divides the image in memory by the image <b>filename</b> given in argument.\nResult will be in 32 bits per channel if allowed in the preferences. See also FDIV")
#define STR_INSPECTOR N_("Splits the current image in a nine-panel mosaic showing the image corners and the center for a closer inspection")
#define STR_INVGHT N_("Inverse generalised hyperbolic stretch based on the work of the ghsastro.co.uk team.\n\nAn optional argument (either <b>-human</b>, <b>-even</b> or <b>-independent</b>, can be passed to select either human-weighted or even-weighted luminance or independent colour channels for colour stretches. (The argument is ignored for mono images.))\nThere are a number of mandatory arguments:\n<b>D</b> defines the strength of the stretch, between 0 and 10;\n<b>B</b> defines the intensity of the stretch near the focal point, between -5 and 15;\n<b>LP</b> defines a shadow preserving range between 0 and SP where the stretch will be linear, preserving shadow detail;\n<b>SP</b> defines the symmetry point of the stretch, between 0 and 1, which is the point at which the stretch will be most intense;\n<b>HP</b> defines a region between HP and 1 where the stretch is linear, preserving highlight details and preventing star bloat.\nOptionally the parameter <b>[channels]</b> may be used to specify the channels to apply the stretch to: this may be R, G, B, RG, RB or GB. The default is all channels")
#define STR_INVMTF N_("Inverse of the midtones transfer function")
#define STR_INVMODASINH N_("Inverse generalised arcsinh stretch based on the work of the ghsastro.co.uk team. This is similar to the simple asinh stretch but offers additional parameters for fine tuning.\n\nAn optional argument (either <b>-human</b>, <b>-even</b> or <b>-independent</b>, can be passed to select either human-weighted or even-weighted luminance or independent colour channels for colour stretches. (The argument is ignored for mono images.))\nThere are a number of mandatory arguments:\n<b>D</b> defines the strength of the stretch, between 0 and 10;\n<b>LP</b> defines a shadow preserving range between 0 and SP where the stretch will be linear, preserving shadow detail;\n<b>SP</b> defines the symmetry point of the stretch, between 0 and 1, which is the point at which the stretch will be most intense;\n<b>HP</b> defines a region between HP and 1 where the stretch is linear, preserving highlight details and preventing star bloat.\nOptionally the parameter <b>[channels]</b> may be used to specify the channels to apply the stretch to: this may be R, G, B, RG, RB or GB. The default is all channels")
#define STR_IMUL N_("Multiplies the image in memory by the image <b>filename</b> given in argument.\nResult will be in 32 bits per channel if allowed in the preferences")
#define STR_ISUB N_("Subtracts the image in memory by the image <b>filename</b> given in argument.\nResult will be in 32 bits per channel if allowed in the preferences, so capable of storing negative values. To clip negative value, use 16 bit input images or clip use the THRESHLO command")

#define STR_LIGHTCURVE N_("Analyse several stars in a sequence of images and produce a light curve for one, calibrated by the others. The first coordinates (in degrees) are for the star whose light will be plotted, the others for the reference stars. Alternatively, a list of target and reference stars can be passed in the format of the NINA exolpanet plugin star list, with the <b>-ninastars=</b> option. Siril will verify that all reference stars can be used before actually using them. A data file is created in the current directory named light_curve.dat, gnuplot plots the result to a PNG image if available")
#define STR_LINK N_("Links all FITS images in the working directory with the <b>basename</b> given in argument.\n\nIf no symbolic links could be created, files are copied. It is possible to convert files in another directory with the <b>-out=</b> option")
#define STR_LINSTRETCH N_("Stretches the image linearly to a new black point BP.\n\nThere is one mandatory argument:\n<b>BP</b> provides the new black point to stretch to.\nOptionally the parameter <b>[channels]</b> may be used to specify the channels to apply the stretch to: this may be R, G, B, RG, RB or GB. The default is all channels")
#define STR_LIVESTACK N_("Process the provided image for live stacking. Only possible after START_LS")
#define STR_LMATCH N_("Computes a linear function between a <b>reference</b> image and the image in memory.\n\nThe function is then applied to the current image to match it to the reference one. The algorithm will ignore all reference pixels whose values are outside of the [<b>low</b>, <b>high</b>] range")
#define STR_LOAD N_("Loads the image <b>filename</b>\n\nIt first attempts to load <b>filename</b>, then <b>filename</b>.fit, finally <b>filename</b>.fits and finally all supported formats, aborting if none of these are found.\nThis scheme is applicable to every Siril command that involves reading files.\nFits headers MIPS-HI and MIPS-LO are read and their values given to the current viewing levels.\nWriting a known extension <b>.ext</b> at the end of <b>filename</b> will load specifically the image <b>filename.ext</b>: this is used when numerous files have the same name but not the same extension")
#define STR_LOG N_("Computes and applies a logarithmic scale to the current image")
#define STR_LS N_("Lists files and directories in the working directory")

#define STR_JSONMETADATA N_("Dumps metadata and statistics of the currently loaded image in JSON form. The file name is required, even if the image is already loaded. Image data may not be read from the file if it is the current loaded image and if the <b>-stats_from_loaded</b> option is passed. Statistics can be disabled by providing the <b>-nostats</b> option. A file containing the JSON data is created with default file name '$(FITS_file_without_ext).json' and can be changed with the <b>-out=</b> option")

#define STR_MAKEPSF N_("Generates a PSF for use with deconvolution. One of the following must be given as the first argument: <b>clear</b> (clears the existing PSF), <b>load</b> (loads a PSF from a file), <b>save</b> (saves the current PSF), <b>blind</b> (blind estimate of tke PSF), <b>stars</b> (generates a PSF based on measured stars from the image) or <b>manual</b> (generates a PSF manually based on a function and parameters).\n\nNo additional arguments are required when using the <b>clear</b> argument.\n\nTo load a previously saved PSF the <b>load</b> argument requires the PSF filename as a second argument. This may be in any format that Siril has been compiled with support for, but it must be square and should ideally be odd.\n\nTo save the current PSF the argument <b>save</b> is used, with no additional arguments required: the PSF will be named based on the name of the open file or sequence.\n\nFor <b>blind</b>, the following optional arguments may be provided: <b>-l0</b> uses the l0 descent method, <b>-si</b> uses the spectral irregularity method, <b>-multiscale</b> configures the l0 method to do a multi-scale PSF estimate, <b>-lambda=</b> provides the regularization constant.\n\nFor PSF from detected stars the only optional parameter is <b>-sym</b>, which configures the PSF to be symmetric.\n\nFor a manual PSF, one of <b>-gaussian</b>, <b>-moffat</b>, <b>-disc</b> or <b>-airy</b> must be provided to specify the PSF function. For Gaussian or Moffat PSFs the optional arguments <b>-fwhm=</b>, <b>-angle=</b> and <b>-ratio=</b> may be provided. For Moffat PSFs the optional argument <b>-beta=</b> may also be provided. If these values are omitted, they default to the same values as in the deconvolution dialog. For disc PSFs only the argument <b>-fwhm=</b> is required, which for this function is used to set the <i>diameter</i> of the PSF. For Airy PSFs the following arguments may be provided: <b>-dia=</b> (sets the telescope diameter), <b>-fl=</b> (sets the telescope focal length), <b>-wl=</b> (sets the wavelength to calculate the Airy diffraction pattern for), <b>-pixelsize=</b> (sets the sensor pixel size), <b>-obstruct=</b> (sets the central obstruction as a percentage of the overall aperture area). If these parameters are not provided, wavelength will default to 525nm and central obstruction will default to 0%. Siril will attempt to read the others from the open image, but some imaging software may not provide all of them in which case you will get bad results, and note the metadata may not be populated for SER format videos. You will learn from experience which are safe to omit for your particular imaging setup.\n\nFor any of the above PSF generation options the optional argument <b>-ks=</b> may be provided to set the PSF dimension")
#define STR_MERGE N_("Merges several sequences into one")
#define STR_MIRRORX N_("Flips the image about the vertical axis. Option <b>-bottomup</b> will only flip it if it's not already bottom-up")
#define STR_MIRRORX_SINGLE N_("Flips the image about the vertical axis, only if needed (if it's not already bottom-up). It takes the image file name as argument, allowing it to avoid reading image data entirely if no flip is required. Image is overwritten if a flip was made")
#define STR_MIRRORY N_("Flips the image about the horizontal axis")
#define STR_MODASINH N_("Modified arcsinh stretch based on the work of the ghsastro.co.uk team. This is similar to the simple asinh stretch but offers additional parameters for fine tuning.\n\nAn optional argument (either <b>-human</b>, <b>-even</b> or <b>-independent</b>, can be passed to select either human-weighted or even-weighted luminance or independent colour channels for colour stretches. (The argument is ignored for mono images.))\nThere are a number of mandatory arguments:\n<b>D</b> defines the strength of the stretch, between 0 and 10;\n<b>LP</b> defines a shadow preserving range between 0 and SP where the stretch will be linear, preserving shadow detail;\n<b>SP</b> defines the symmetry point of the stretch, between 0 and 1, which is the point at which the stretch will be most intense;\n<b>HP</b> defines a region between HP and 1 where the stretch is linear, preserving highlight details and preventing star bloat.\nOptionally the parameter <b>[channels]</b> may be used to specify the channels to apply the stretch to: this may be R, G, B, RG, RB or GB. The default is all channels")
#define STR_MTF N_("Applies midtones transfer function to the current loaded image.\n\nThree parameters are needed, <b>low</b>, <b>midtones</b> and <b>high</b> where midtones balance parameter defines a nonlinear histogram stretch in the [0,1] range.\nOptionally the parameter <b>[channels]</b> may be used to specify the channels to apply the stretch to: this may be R, G, B, RG, RB or GB. The default is all channels")

#define STR_NEG N_("Changes pixel values of the currently loaded image to a negative view, like 1-value for 32 bits, 65535-value for 16 bits. This does not change the display mode")
#define STR_NEW N_("Creates a new image filled with zeros with a size of <b>width</b> x <b>height</b>.\n\nThe image is in 32-bit format, and it contains <b>nb_channel</b> channels, <b>nb_channel</b> being 1 or 3. It is not saved, but displayed and can be saved afterwards")
#define STR_NOMAD N_("Display stars from the local catalogue by default, for plate solved images loaded in GUI only. An alternate catalog can be specified with <b>-catalog=</b>, taking values tycho2, nomad, gaia, ppmxl, brightstars, apass. By default stars with no B-V information will be kept, they can be excluded by specifying <b>-photo</b>")
#define STR_SSO N_("Search and display solar system objects in the current loaded and plate solved image. Use <b>-mag=</b> to change the limit magnitude which defaults to 20\n\nThis research has made use of IMCCE's <a href=\"https://ui.adsabs.harvard.edu/abs/2006ASPC..351..367B/abstract\">SkyBoT VO tool</a>")
#define STR_NOZERO N_("Replaces null values by <b>level</b> values. Useful before an idiv or fdiv operation")

#define STR_OFFSET N_("Adds the constant <b>value</b> (specified in ADU) to the current image. This constant can take a negative value.\n\nIn 16-bit mode, values of pixels that fall outside of [0, 65535] are clipped. In 32-bit mode, no clipping occurs")

#define STR_PARSE N_("Parses the string <b>str</b> using the information contained in the header of the image currently loaded. Main purpose of this command is to debug path parsing of header keys which can be used in other commands.\nOption <b>-r</b> specifies the string is to be interpreted in read mode. In read mode, all wilcards defined in string <b>str</b> are used to find a file name matching the pattern. Otherwise, default mode is write mode and wildcards, if any, are removed from the string to be parsed.\n\nIf <b>str</b> starts with <i>$def</i> prefix, it will be recognized as a reserved keyword and looked for in the strings stored in gui_prepro.dark_lib, gui_prepro.flat_lib, gui_prepro.bias_lib or gui_prepro.stack_default for <i>$defdark</i>, <i>$defflat</i>, <i>$defbias</i> or <i>$defstack</i> respectively.\nThe keyword <i>$seqname$</i> can also be used when a sequence is loaded")
#define STR_PCC N_("Run the Photometric Color Correction on the loaded image.\nIf the image has already been plate solved, the PCC can reuse the astrometric solution, otherwise, or if WCS or other image metadata is erroneous or missing, arguments for the plate solving must be passed:\n  the approximate image center coordinates can be provided in decimal degrees or degree/hour minute second values (J2000 with colon separators), with right ascension and declination values separated by a comma or a space.\n  focal length and pixel size can be passed with <b>-focal=</b> (in mm) and <b>-pixelsize=</b> (in microns), overriding values from image and settings.\n  you can force the plate solving to be remade using the <b>-platesolve</b> flag.\n\nUnless <b>-noflip</b> is specified and the image is detected as being upside-down, the image will be flipped if a plate solving is run.\nFor faster star detection in big images, downsampling the image is possible with <b>-downscale</b>.\n\nThe limit magnitude of stars used for plate solving and PCC is automatically computed from the size of the field of view, but can be altered by passing a +offset or -offset value to <b>-limitmag=</b>, or simply an absolute positive value for the limit magnitude.\nThe star catalog used is NOMAD by default, it can be changed by providing <b>-catalog=apass</b>. If installed locally, the remote NOMAD can be forced by providing <b>-catalog=nomad</b>")
#define STR_PLATESOLVE N_("Plate solve the loaded image.\nIf the image has already been plate solved nothing will be done, unless the <b>-platesolve</b> argument is passed to force a new solve. If WCS or other image metadata is erroneous or missing, arguments must be passed:\n  the approximate image center coordinates can be provided in decimal degrees or degree/hour minute second values (J2000 with colon separators), with right ascension and declination values separated by a comma or a space (not mandatory for astrometry.net).\n  focal length and pixel size can be passed with <b>-focal=</b> (in mm) and <b>-pixelsize=</b> (in microns), overriding values from image and settings.\n\nUnless <b>-noflip</b> is specified, if the image is detected as being upside-down, it will be flipped.\nFor faster star detection in big images, downsampling the image is possible with <b>-downscale</b>.\n\nImages can be either plate solved by Siril using a star catalogue and the global registration algorithm or by astrometry.net's local solve-field command (enabled with <b>-localasnet</b>).\nThe following options apply to Siril's plate solve only.\nThe limit magnitude of stars used for plate solving is automatically computed from the size of the field of view, but can be altered by passing a +offset or -offset value to <b>-limitmag=</b>, or simply an absolute positive value for the limit magnitude.\nThe choice of the star catalog is automatic unless the <b>-catalog=</b> option is passed: if local catalogs are installed, they are used, otherwise the choice is based on the field of view and limit magnitude. If the option is passed, it forces the use of the remote catalog given in argument, with possible values: tycho2, nomad, gaia, ppmxl, brightstars, apass")
#define STR_PM N_("This command evaluates the expression given in argument as in PixelMath tool. The full expression must be between double quotes and variables (that are image names, without extension, located in the working directory in that case) must be surrounded by the token $, e.g. \"$image1$ * 0.5 + $image2$ * 0.5\". A maximum of 10 images can be used in the expression. Image can be rescaled with the option <b>-rescale</b> followed by <b>low</b> and <b>high</b> values in the range [0, 1]. If no low and high values are provided, default values are set to 0 and 1")
#define STR_PREPROCESS N_("Preprocesses the sequence <b>sequencename</b> using bias, dark and flat given in argument.\n\nFor bias, a uniform level can be specified instead of an image, by entering a quoted expression starting with an = sign, such as -bias=\"=256\" or -bias=\"=64*$OFFSET\".\n\nBy default, cosmetic correction is not activated. If you wish to apply some, you will need to specify it with <b>-cc=</b> option.\nYou can use <b>-cc=dark</b> to detect hot and cold pixels from the masterdark (a masterdark must be given with the <b>-dark=</b> option), optionally followed by <b>siglo</b> and <b>sighi</b> for cold and hot pixels respectively. A value of 0 deactivates the correction. If sigmas are not provided, only hot pixels detection with a sigma of 3 will be applied.\nAlternatively, you can use <b>-cc=bpm</b> followed by the path to your Bad Pixel Map to specify which pixels must be corrected. An example file can be obtained with a <i>find_hot</i> command on a masterdark.\n\nIt is possible to specify if images are CFA for cosmetic correction purposes with the option <b>-cfa</b> and also to demosaic images at the end of the process with <b>-debayer</b>.\nThe <b>-fix_xtrans</b> option is dedicated to X-Trans files by applying a correction on darks and biases to remove an ugly square pattern.\nThe <b>-equalize_cfa</b> option equalizes the mean intensity of RGB layers of the CFA flat master.\nIt is also possible to optimize the dark subtraction with <b>-opt</b>.\nThe output sequence name starts with the prefix \"pp_\" unless otherwise specified with option <b>-prefix=</b>.\nIf <b>-fitseq</b> is provided, the output sequence will be a FITS sequence (single file)")
#define STR_PREPROCESS_SINGLE N_("Preprocesses the image <b>imagename</b> using bias, dark and flat given in argument.\n\nFor bias, a uniform level can be specified instead of an image, by entering a quoted expression starting with an = sign, such as -bias=\"=256\" or -bias=\"=64*$OFFSET\".\n\nBy default, cosmetic correction is not activated. If you wish to apply some, you will need to specify it with <b>-cc=</b> option.\nYou can use <b>-cc=dark</b> to detect hot and cold pixels from the masterdark (a masterdark must be given with the <b>-dark=</b> option), optionally followed by <b>siglo</b> and <b>sighi</b> for cold and hot pixels respectively. A value of 0 deactivates the correction. If sigmas are not provided, only hot pixels detection with a sigma of 3 will be applied.\nAlternatively, you can use <b>-cc=bpm</b> followed by the path to your Bad Pixel Map to specify which pixels must be corrected. An example file can be obtained with a <i>find_hot</i> command on a masterdark.\n\nIt is possible to specify if images are CFA for cosmetic correction purposes with the option <b>-cfa</b> and also to demosaic images at the end of the process with <b>-debayer</b>.\nThe <b>-fix_xtrans</b> option is dedicated to X-Trans files by applying a correction on darks and biases to remove an ugly square pattern.\nThe <b>-equalize_cfa</b> option equalizes the mean intensity of RGB layers of the CFA flat master.\nIt is also possible to optimize the dark subtraction with <b>-opt</b>.\nThe output filename starts with the prefix \"pp_\" unless otherwise specified with option <b>-prefix=</b>")
#define STR_PSF N_("Performs a PSF (Point Spread Function) on the selected star and display the results. If provided, the <b>channel</b> argument selects the image channel on which the star will be analyzed. It can be omitted for monochrome images or when run from the GUI with one of the channels active in the view")
#define STR_REBAYER N_("Builds a Bayer masked colour image from 4 separate images containing the data from Bayer subchannels CFA0, CFA1, CFA2 and CFA3. (The corresponding command to split the CFA pattern into subchannels is <b>split_cfa</b>.) This function can be used as part of a workflow applying some processing to the individual Bayer subchannels prior to demosaicing. The fifth parameter <b><i>bayerpattern</i></b> specifies the Bayer matrix pattern to recreate: <i>bayerpattern</i> should be one of 'RGGB', 'BGGR', 'GRBG' or 'GBRG'")
#define STR_REGISTER N_("Finds and optionally performs geometric transforms on images of the sequence given in argument so that they may be superimposed on the reference image. Using stars for registration, this algorithm only works with deep sky images. Star detection options can be changed using <b>SETFINDSTAR</b> or the <i>Dynamic PSF</i> dialog. The detection is done on the green layer for colour images, unless specified by the <b>-layer=</b> option with an argument ranging from 0 to 2 for red to blue.\n\nThe <b>-2pass</b> and <b>-noout</b> options will only compute the transforms but not generate the transformed images, <b>-2pass</b> adds a preliminary pass to the algorithm to find a good reference image before computing the transforms.<b>-nostarlist</b> disables saving the star lists to disk.\n\nThe option <b>-transf=</b> specifies the use of either <b>shift</b>, <b>similarity</b>, <b>affine</b> or <b>homography</b> (default) transformations respectively.\nThe option <b>-drizzle</b> activates the sub-pixel stacking by up-scaling by 2 the generated images.\nThe option <b>-minpairs=</b> will specify the minimum number of star pairs a frame must have with the reference frame, otherwise the frame will be dropped and excluded from the sequence.\nThe option <b>-maxstars=</b> will specify the maximum number of star to find within each frame (must be between 100 and 2000). With more stars, a more accurate registration can be computed, but will take more time to run.\n\nThe pixel interpolation method can be specified with the <b>-interp=</b> argument followed by one of the methods in the list <b>no</b>[ne], <b>ne</b>[arest], <b>cu</b>[bic], <b>la</b>[nczos4], <b>li</b>[near], <b>ar</b>[ea]}. If <b>none</b> is passed, the transformation is forced to shift and a pixel-wise shift is applied to each image without any interpolation.\nClamping of the bicubic and lanczos4 interpolation methods is the default, to avoid artefacts, but can be disabled with the <b>-noclamp</b> argument.\n\nAll images of the sequence will be registered unless the option <b>-selected</b> is passed, in that case the excluded images will not be processed\n\nIf created, the output sequence name starts with the prefix \"r_\" unless otherwise specified with <b>-prefix=</b> option")
#define STR_RELOADSCRIPTS N_("Rescans the scripts folders and updates scripts menu")
#define STR_REQUIRES N_("Returns an error if the version of Siril is older than the one passed in argument")
#define STR_RESAMPLE N_("Resamples image, either with a factor <b>factor</b> or for the target width or height provided by either of <b>-width=</b> or <b>-height=</b>. This is generally used to resize images, a factor of 0.5 divides size by 2.\nIn the graphical user interface, we can see that several interpolation algorithms are proposed.\n\nThe pixel interpolation method can be specified with the <b>-interp=</b> argument followed by one of the methods in the list <b>no</b>[ne], <b>ne</b>[arest], <b>cu</b>[bic], <b>la</b>[nczos4], <b>li</b>[near], <b>ar</b>[ea]}. If <b>none</b> is passed, the transformation is forced to shift and a pixel-wise shift is applied to each image without any interpolation.\nClamping of the bicubic and lanczos4 interpolation methods is the default, to avoid artefacts, but can be disabled with the <b>-noclamp</b> argument")
#define STR_RGBCOMP N_("Create an RGB composition using three independent images, or an LRGB composition using the optional luminance image and three monochrome images or a color image. Result image is called composed_rgb.fit or composed_lrgb.fit unless another name is provided in the optional argument")
#define STR_RGRADIENT N_("Creates two images, with a radial shift (<b>dR</b> in pixels) and a rotational shift (<b>dalpha</b> in degrees) with respect to the point (<b>xc</b>, <b>yc</b>).\n\nBetween these two images, the shifts have the same amplitude, but an opposite sign. The two images are then added to create the final image. This process is also called Larson Sekanina filter")
#define STR_RL N_("Restores an image using the Richardson-Lucy method.\n\nThe number of iterations is provide by <b>-iters</b> (the default is 10).\n\nThe type of regularization can be set with <b>-tv</b> for Total Variation, or <b>-fh</b> for the Frobenius norm of the Hessian matrix (the default is none) and <b>-alpha=</b> provides the regularization strength (lower value = more regularization, default = 3000).\n\nBy default the gradient descent method is used with a default step size of 0.0005, however the multiplicative method may be specified with <b>-mul</b>.\n\nThe stopping criterion may be activated by specifying a stopping limit with <b>-stop=</b>")
#define STR_RMGREEN N_("Applies a chromatic noise reduction filter. It removes green tint in the current image. This filter is based on PixInsight's SCNR and it is also the same filter used by HLVG plugin in Photoshop.\nLightness is preserved by default but this can be disabled with the <b>-nopreserve</b> switch.\n\n<b>Type</b> can take values 0 for average neutral, 1 for maximum neutral, 2 for maximum mask, 3 for additive mask, defaulting to 0. The last two can take an <b>amount</b> argument, a value between 0 and 1, defaulting to 1")
#define STR_ROTATE N_("Rotates the image by an angle of <b>degree</b> value. The option <b>-nocrop</b> can be added to avoid cropping to the image size (black borders will be added).\n\n Note: if a selection is active, i.e. by using a command `boxselect` before `rotate`, the resulting image will be a rotated crop. In this particular case, the option <b>-nocrop</b> will be ignored if passed.\n\nThe pixel interpolation method can be specified with the <b>-interp=</b> argument followed by one of the methods in the list <b>no</b>[ne], <b>ne</b>[arest], <b>cu</b>[bic], <b>la</b>[nczos4], <b>li</b>[near], <b>ar</b>[ea]}. If <b>none</b> is passed, the transformation is forced to shift and a pixel-wise shift is applied to each image without any interpolation.\nClamping of the bicubic and lanczos4 interpolation methods is the default, to avoid artefacts, but can be disabled with the <b>-noclamp</b> argument")
#define STR_ROTATEPI N_("Rotates the image of an angle of 180° around its center. This is equivalent to the command \"ROTATE 180\" or \"ROTATE -180\"")

#define STR_SATU N_("Enhances the color saturation of the loaded image. Try iteratively to obtain best results.\n<b>amount</b> can be a positive number to increase color saturation, negative to decrease it, 0 would do nothing, 1 would increase it by 100%\n<b>background_factor</b> is a factor to (median + sigma) used to set a threshold for which only pixels above it would be modified. This allows background noise to not be color saturated, if chosen carefully. Defaults to 1. Setting 0 disables the threshold.\n<b>hue_range_index</b> can be [0, 6], meaning: 0 for pink to orange, 1 for orange to yellow, 2 for yellow to cyan, 3 for cyan, 4 for cyan to magenta, 5 for magenta to pink, 6 for all (default)")
#define STR_SAVE N_("Saves current image to <b>filename</b>.fit (or .fits, depending on your preferences, see SETEXT). Fits headers MIPS-HI and MIPS-LO are added with values corresponding to the current viewing levels")
#define STR_SAVEBMP N_("Saves current image under the form of a bitmap file with 8-bit per channel: <b>filename</b>.bmp (BMP 24-bit)")
#define STR_SAVEJPG N_("Saves current image into a JPG file: <b>filename</b>.jpg.\n\nYou have the possibility to adjust the quality of the compression. A value 100 for <b>quality</b> parameter offers best fidelity while a low value increases the compression ratio. If no value is specified, a default value of 100 is applied")
#define STR_SAVEPNG N_("Saves current image into a PNG file: <b>filename</b>.png, with 16 bits per channel if the loaded image is 16 or 32 bits, and 8 bits per channel if the loaded image is 8 bits")
#define STR_SAVEPNM N_("Saves current image under the form of a Netpbm file format with 16-bit per channel.\n\nThe extension of the output will be <b>filename</b>.ppm for RGB image and <b>filename</b>.pgm for gray-level image")
#define STR_SAVETIF N_("Saves current image under the form of a uncompressed TIFF file with 16-bit per channel: <b>filename</b>.tif. The option <b>-astro</b> allows saving in Astro-tiff format")
#define STR_SAVETIF32 N_("Same command as SAVETIF but the output file is saved in 32-bit per channel: <b>filename</b>.tif. The option <b>-astro</b> allows saving in Astro-tiff format")
#define STR_SAVETIF8 N_("Same command as SAVETIF but the output file is saved in 8-bit per channel: <b>filename</b>.tif. The option <b>-astro</b> allows saving in Astro-tiff format")
#define STR_SB N_("Restores an image using the Split Bregman method.\n\nThe number of iterations is provide by <b>-iters</b> (the default is 1).\n\nThe regularization factor <b>-alpha=</b> provides the regularization strength (lower value = more regularization, default = 3000)")
#define STR_SELECT N_("This command allows easy mass selection of images in the sequence <b>sequencename</b> (from <b>from</b> to <b>to</b> included)")
#define STR_SEQAPPLYREG N_("Applies geometric transforms on images of the sequence given in argument so that they may be superimposed on the reference image, using registration data previously computed.\n\nThe output sequence name starts with the prefix <b>\"r_\"</b> unless otherwise specified with <b>-prefix=</b> option.\n\nThe option <b>-drizzle</b> activates up-scaling by 2 the images created in the transformed sequence.\n\nThe pixel interpolation method can be specified with the <b>-interp=</b> argument followed by one of the methods in the list <b>no</b>[ne], <b>ne</b>[arest], <b>cu</b>[bic], <b>la</b>[nczos4], <b>li</b>[near], <b>ar</b>[ea]}. If <b>none</b> is passed, the transformation is forced to shift and a pixel-wise shift is applied to each image without any interpolation.\nClamping of the bicubic and lanczos4 interpolation methods is the default, to avoid artefacts, but can be disabled with the <b>-noclamp</b> argument.\n\nThe registration is done on the first layer for which data exists for RGB images unless specified by <b>-layer=</b> option (0, 1 or 2 for R, G and B respectively.\n\nAutomatic framing of the output sequence can be specified using <b>-framing=</b> keyword followed by one of the methods in the list { current | min | max | cog } :\n<b>-framing=max</b> (bounding box) adds a black border around each image as required so that no part of the image is cropped when registered.\n<b>-framing=min</b> (common area) crops each image to the area it has in common with all images of the sequence.\n<b>-framing=cog</b> determines the best framing position as the center of gravity (cog) of all the images.\n\nFiltering out images:\nImages to be registered can be selected based on some filters, like those selected or with best FWHM, with some of the <b>-filter-*</b> options.\nSee the command reference for the complete documentation on this command")
#define STR_SEQCLEAN N_("This command clears selection, registration and/or statistics data stored in <b>sequencename</b>.\n\nYou can specify to clear only registration, statistics and/or selection with <b>-reg</b>, <b>-stat</b> and <b>-sel</b> options respectively. All are cleared if no option is passed")
#define STR_SEQCOSME N_("Same command as COSME but for the the sequence <b>sequencename</b>.\n\nThe output sequence name starts with the prefix \"cosme_\" unless otherwise specified with option <b>-prefix=</b>")
#define STR_SEQCOSME_CFA N_("Same command as COSME_CFA but for the the sequence <b>sequencename</b>.\n\nThe output sequence name starts with the prefix \"cosme_\" unless otherwise specified with option <b>-prefix=</b>")
#define STR_SEQCROP N_("Crops the sequence given in argument <b>sequencename</b>.\n\nThe crop selection is specified by the upper left corner position <b>x</b> and <b>y</b> and the selection <b>width</b> and <b>height</b>.\nThe output sequence name starts with the prefix \"cropped_\" unless otherwise specified with <b>-prefix=</b> option")
#define STR_SEQEXTRACTHA N_("Same command as EXTRACT_HA but for the sequence <b>sequencename</b>.\n\nThe output sequence name starts with the prefix \"Ha_\" unless otherwise specified with option <b>-prefix=</b>")
#define STR_SEQEXTRACTGREEN N_("Same command as EXTRACT_GREEN but for the sequence <b>sequencename</b>.\n\nThe output sequence name starts with the prefix \"Green_\" unless otherwise specified with option <b>-prefix=</b>")
#define STR_SEQEXTRACTHAOIII N_("Same command as EXTRACT_HAOIII but for the sequence <b>sequencename</b>.\n\nThe output sequences names start with the prefixes \"Ha_\" and \"OIII_\"\n\nThe optional argument <b>-resample={ha|oiii}</b> sets whether to upsample the Ha image or downsample the OIII image. If this argument is not provided, no resampling will be carried out and the OIII image will have twice the height and width of the Ha image")
#define STR_SEQFINDSTAR N_("Same command as FINDSTAR but for the sequence <b>sequencename</b>.\n\nThe option <b>-out=</b> is not available for this process as all the star list files are saved with the default name <i>seqname_seqnb.lst</i>")
#define STR_SEQFIND_COSME N_("Same command as FIND_COSME but for the sequence <b>sequencename</b>.\n\nThe output sequence name starts with the prefix \"cc_\" unless otherwise specified with <b>-prefix=</b> option")
#define STR_SEQFIND_COSME_CFA N_("Same command as FIND_COSME_CFA but for the sequence <b>sequencename</b>.\n\nThe output sequence name starts with the prefix \"cc_\" unless otherwise specified with <b>-prefix=</b> option")
#define STR_SEQFIXBANDING N_("Same command as FIXBANDING but for the sequence <b>sequencename</b>.\n\nThe output sequence name starts with the prefix \"unband_\" unless otherwise specified with <b>-prefix=</b> option.\n<b>-vertical</b> option enables to perform vertical banding removal")
#define STR_SEQHEADER N_("Prints the FITS header value for the given key for all images in the sequence")
#define STR_SEQMERGE_CFA N_("Same command as MERGE_CFA but for the sequence <b>sequencename</b>.\n\nThe Bayer pattern to be reconstructed must be provided as the second argment as one of RGGB, BGGR, GBRG or GRBG.\n\nThe input filenames contain the identifying prefix \"CFA_\" and a number unless otherwise specified with <b>-prefixin=</b> option.\n\nNote: all 4 sets of input files <b>must</b> be present and <b>must</b> be consistently named, the only difference being the number after the identifying prefix.\n\nThe output sequence name starts with the prefix \"mCFA_\" and a number unless otherwise specified with <b>-prefixout=</b> option")
#define STR_SEQMTF N_("Same command as MTF but for the sequence <b>sequencename</b>.\n\nThe output sequence name starts with the prefix \"mtf_\" unless otherwise specified with <b>-prefix=</b> option.\n\nOptionally the parameter <b>[channels]</b> may be used to specify the channels to apply the stretch to: this may be R, G, B, RG, RB or GB. The default is all channels")
#define STR_SEQPLATESOLVE N_("Plate solve a sequence. A new sequence will be created with the prefix \"ps_\".\nIf images have already been plate solved, they will just be copied, unless the <b>-platesolve</b> argument is passed to force a new solve. If WCS or other image metadata are erroneous or missing, arguments must be passed:\n  the approximate image center coordinates can be provided in decimal degrees or degree/hour minute second values (J2000 with colon separators), with right ascension and declination values separated by a comma or a space (not mandatory for astrometry.net).\n  focal length and pixel size can be passed with <b>-focal=</b> (in mm) and <b>-pixelsize=</b> (in microns), overriding values from images and settings.\n\nUnless <b>-noflip</b> is specified, if images are detected as being upside-down, they will be flipped.\nFor faster star detection in big images, downsampling the image is possible with <b>-downscale</b>.\n\nImages can be either plate solved by Siril using a star catalogue and the global registration algorithm or by astrometry.net's local solve-field command (enabled with <b>-localasnet</b>).\nThe following options apply to Siril's plate solve only.\nThe limit magnitude of stars used for plate solving is automatically computed from the size of the field of view, but can be altered by passing a +offset or -offset value to <b>-limitmag=</b>, or simply an absolute positive value for the limit magnitude.\nThe choice of the star catalog is automatic unless the <b>-catalog=</b> option is passed: if local catalogs are installed, they are used, otherwise the choice is based on the field of view and limit magnitude. If the option is passed, it forces the use of the remote catalog given in argument, with possible values: tycho2, nomad, gaia, ppmxl, brightstars, apass")
#define STR_SEQPSF N_("Same command as PSF but for a sequence.\n\nResults are displayed in the plots tab if used from the GUI, else it is printed in the console in a form that can be used to produce brightness variation curves. For headless operation, arguments are mandatory and the center of the search box in pixels can be provided with the <b>-at=</b> argument")
#define STR_SEQRL N_("The same as the <b>rl</b> command, but applies to a sequence which must be specified as the first argument")
#define STR_SEQSB N_("The same as the <b>sb</b> command, but applies to a sequence which must be specified as the first argument")
#define STR_SEQSPLIT_CFA N_("Same command as SPLIT_CFA but for the sequence <b>sequencename</b>.\n\nThe output sequences names start with the prefix \"CFA_\" and a number unless otherwise specified with <b>-prefix=</b> option")
#define STR_SEQSTARNET N_("This command calls <a href=\"https://www.starnetastro.com/\">Starnet++</a> to remove stars from the current sequence. The first argument must be the sequence from which to remove stars: all the other available arguments are the same as for the STARNET command")
#define STR_SEQSTAT N_("Same command as STAT for sequence <b>sequencename</b>.\n\nThe <b>output</b> is saved as a csv file given in second argument.\nThe optional parameter defines the number of statistical values computed: <b>basic</b>, <b>main</b> (default) or <b>full</b> (more detailed but longer to compute).\nIf <b>-cfa</b> is passed and the images are CFA, statistics are made on per-filter extractions")
#define STR_SEQSUBSKY N_("Same command as SUBSKY but for the sequence <b>sequencename</b>.\n\nThe output sequence name starts with the prefix \"bkg_\" unless otherwise specified with <b>-prefix=</b> option")
#define STR_SEQTILT N_("Same command as TILT but for the loaded sequence or the sequence <b>sequencename</b>.\n\nIt generally gives better result")
#define STR_SEQWIENER N_("The same as the <b>wiener</b> command, but applies to a sequence which must be specified as the first argument")
#define STR_SET N_("Update a setting value, using its variable name, with the given value, or a set of values using an existing ini file with <b>-import=</b> option.\nSee <b>get</b> to get values or the list of variables")
#define STR_SET16 N_("Disables images to be saved with 32 bits per channel on processing. It uses 16 bits instead")
#define STR_SET32 N_("Allows images to be saved with 32 bits per channel on processing")
#define STR_SETCOMPRESS N_("Defines if images are compressed or not.\n\n<b>0</b> means no compression while <b>1</b> enables compression.\nIf compression is enabled, the type must be explicitly written in the option <b>-type=</b> (\"rice\", \"gzip1\", \"gzip2\").\nAssociated to the compression, the quantization value must be within [0, 256] range. For example, \"setcompress 1 -type=rice 16\" sets the rice compression with a quantization of 16")
#define STR_SETCPU N_("Defines the number of processing threads used for calculation.\n\nCan be as high as the number of virtual threads existing on the system, which is the number of CPU cores or twice this number if hyperthreading (Intel HT) is available")
#define STR_SETEXT N_("Sets the extension used and recognized by sequences.\n\nThe argument <b>extension</b> can be \"fit\", \"fts\" or \"fits\"")
#define STR_SETFINDSTAR N_("Defines stars detection parameters for FINDSTAR and REGISTER commands.\n\nPassing no parameter lists the current values.\nPassing <b>reset</b> resets all values to defaults. You can then still pass values after this keyword.\n\nConfigurable values:\n\n<b>-radius=</b> defines the radius of the initial search box and must be between 3 and 50.\n<b>-sigma=</b> defines the threshold above noise and must be greater or equal to 0.05.\n<b>-roundness=</b> defines minimum star roundness and must between 0 and 0.95.\n<b>-minA</b> and <b>-maxA</b> define limits for the minimum and maximum amplitude of stars to keep, normalized between 0 and 1.\n<b>-focal=</b> defines the focal length of the telescope.\n<b>-pixelsize=</b> defines the pixel size of the sensor.\n<b> -gaussian</b> and <b>-moffat</b> configure the solver model to be used (Gaussian is the default).\nIf Moffat is selected, <b>-minbeta=</b> defines the minimum value of beta for which candidate stars will be accepted and must be greater or equal to 0.0 and less than 10.0.\n<b>-convergence=</b> defines the number of iterations performed to fit PSF and should be set between 1 and 3 (more tolerant).\n<b>-relax=</b> relaxes the checks that are done on star candidates to assess if they are stars or not, to allow objects not shaped like stars to still be accepted (off by default)")
#define STR_SETMAG N_("Calibrates the magnitude by selecting a star and giving the known apparent magnitude.\n\nAll PSF computations will return the calibrated apparent magnitude afterwards, instead of an apparent magnitude relative to ADU values.\nTo reset the magnitude constant see UNSETMAG")
#define STR_SEQMAGSET N_("Same as SETMAG command but for the loaded sequence. \n\nThis command is only valid after having run SEQPSF or its graphical counterpart (select the area around a star and launch the PSF analysis for the sequence, it will appear in the graphs).\nThis command has the same goal as SETMAG but recomputes the reference magnitude for each image of the sequence where the reference star has been found.\nWhen running the command, the last star that has been analysed will be considered as the reference star. Displaying the magnitude plot before typing the command makes it easy to understand.\nTo reset the reference star and magnitude offset, see SEQUNSETMAG")
#define STR_SETMEM N_("Sets a new ratio of free memory on memory used for stacking.\n\n<b>Ratio</b> value should be between 0.05 and 2, depending on other activities of the machine. A higher ratio should allow siril to stack faster, but setting the ratio of memory used for stacking above 1 will require the use of on-disk memory, which is very slow and unrecommended")
#define STR_SETPHOT N_("Gets or sets photometry settings, mostly used by SEQPSF. If arguments are provided, they will update the settings. None are mandatory, any can be provided, default values are shown in the command's syntax. At the end of the command, the active configuration will be printed. Aperture is dynamic unless forced, the <b>aperture</b> value from settings is not used if dynamic, FWHM is used instead")
#define STR_SETREF N_("Sets the reference image of the sequence given in first argument")
#define STR_SPLIT N_("Splits the color image into three distinct files (one for each color) and save them in <b>file1</b>.fit, <b>file2</b>.fit and <b>file3</b>.fit files. A last argument can optionally be supplied, <b>-hsl</b>, <b>-hsv</b> or <b>lab</b> to perform an HSL, HSV or CieLAB extraction. If no option are provided, the extraction is of RGB type")
#define STR_SPLIT_CFA N_("Splits the CFA image into four distinct files (one for each channel) and save them in files")
#define STR_STACK N_("Stacks the <b>sequencename</b> sequence, using options.\n\nRejection type:\nThe allowed types are: \"sum\", \"max\", \"min\", \"med\" (or \"median\") and \"rej\" (or \"mean\"). If no argument other than the sequence name is provided, sum stacking is assumed.\n\nStacking with rejection:\nTypes rej or mean require the use of additional arguments for rejection type and values. The rejection type is one of { n[one] | p[ercentile] | s[igma] | m[edian] | w[insorized] | l[inear] | g[eneralized] | [m]a[d] } for Percentile, Sigma, Median, Winsorized, Linear-Fit, Generalized Extreme Studentized Deviate Test or k-MAD clipping. If omitted, the default (Winsorized) is used.\nThe <b>sigma low</b> and <b>sigma high</b> parameters of rejection are mandatory unless <b>none</b> is selected.\nOptionally, rejection maps can be created, showing where pixels were rejected in one (<b>-rejmap</b>) or two (<b>-rejmaps</b>, for low and high rejections) newly created images.\n\nNormalization of input images:\nFor med|median and rej|mean stacking types, different types of normalization are allowed: <b>-norm=add</b> for additive, <b>-norm=mul</b> for multiplicative. Options <b>-norm=addscale</b> and <b>-norm=mulscale</b> apply same normalization but with scale operations. <b>-nonorm</b> is the option to disable normalization. Otherwise addtive with scale method is applied by default.\n<b>-fastnorm</b> option specifies to use faster estimators for location and scale than the default IKSS.\n<b>-rgb_equal</b> will use normalization to equalize color image backgrounds, useful if pcc and unlinked autostretch will not be used.\n\nOther options for rejection stacking:\n<b>-weight_from_noise</b> is an option to add larger weights to frames with lower background noise.\n<b>-weight_from_nbstack</b> weights input images based on how many images were used to create them, useful for live stacking.\n<b>-weight_from_nbstars</b> or <b>-weight_from_wfwhm</b> weight input images based on number of stars or wFWHM computed during registration step.\n\nOutputs:\nResult image name can be set with the <b>-out=</b> option. Otherwise, it will be named as <b>sequencename</b>_stacked.fit.\n<b>-output_norm</b> applies a normalization to rescale result in the [0, 1] range (median and mean stacking only).\n\nFiltering out images:\nImages to be stacked can be selected based on some filters, like manual selection or best FWHM, with some of the <b>-filter-*</b> options.\nSee the command reference for the complete documentation on this command")
#define STR_STACKALL N_("Opens all sequences in the current directory and stacks them with the optionally specified stacking type and filtering or with sum stacking. See STACK command for options description")
#define STR_STARNET N_("This command calls <a href=\"https://www.starnetastro.com/\">StarNet</a> to remove stars from the current image.\n\n<b>Prerequisite:</b> StarNet is an external program, with no affiliation with Siril, and must be installed correctly prior to first use of this command, with the path to its installation directory correctly set in Preferences / Miscellaneous. The directory must contain the Command Line Tool version (not GUI version which exists for Windows users).\n\nThe starless image is loaded on completion, and a star mask image is created in the working directory unless the optional parameter <b>-nostarmask</b> is provided.\n\nOptionally, parameters may be passed to the command:\n- The option <b>-stretch</b> is for use with linear images and will apply a pre-stretch before running StarNet and the inverse stretch to the generated starless and starmask images.\n- To improve star removal on images with very tight stars, the parameter <b>-upscale</b> may be provided. This will upsample the image by a factor of 2 prior to StarNet processing and rescale it to the original size afterwards, at the expense of more processing time.\n- The optional parameter <b>-stride=value</b> may be provided, however the author of StarNet <i>strongly</i> recommends that the default stride of 256 be used.\n\nMore tips and tricks are available <a href=\"https://www.starnetastro.com/tips-tricks/\">there</a>")
#define STR_START_LS N_("Initialize a livestacking session, using the optional calibration files and wait for input files to be provided by the LIVESTACK command until STOP_LS is called. Default processing will use shift-only registration and 16-bit processing because it's faster, it can be changed to rotation with <b>-rotate</b> and <b>-32bits</b>")
#define STR_STAT N_("Returns statistics of the current image, the basic list by default or the main list if <b>main</b> is passed. If a selection is made, statistics are computed within the selection. If <b>-cfa</b> is passed and the image is CFA, statistics are made on per-filter extractions")
#define STR_STOP_LS N_("Stop the live stacking session. Only possible after START_LS")
#define STR_SUBSKY N_("Computes a synthetic background gradient using either the polynomial function model of <b>degree</b> degrees or the RBF model (if <b>-rbf</b> is provided instead) and subtracts it from the image. The number of samples per horizontal line and the tolerance to exclude brighter areas can be adjusted with the optional arguments. Tolerance is in mad units: median + tolerance * mad. For RBF, the additional smoothing parameter is also available")
#define STR_SYNTHSTAR N_("Synthstar fixes bad stars. No matter how much coma, tracking drift or other distortion your stars have, if Siril's star finder routine can detect it, synthstar will fix it. To use intensive care, you may wish to manually detect all the stars you wish to fix. This can be done using the findstar console command or the Dynamic PSF dialog. If you have not run star detection, it will be run automatically with default settings.\n\nFor best results synthstar should be run before stretching. \n\nThe output of synthstar is a fully corrected synthetic star mask comprising perfectly round star PSFs (Moffat or Gaussian profiles depending on star saturation) computed to match the intensity, FWHM, hue and saturation measured for each star detected in the input image. This can then be recombined with the starless image to produce an image with perfect stars.\n\nNo parameters are required for this command")
#define STR_SYNTHSTARUNCLIP N_("Re-profiles clipped stars to desaturate them, scaling the output so that all pixel values are &lt;= 1.0")
#define STR_THRESHLO N_("Replaces values below <b>level</b> with <b>level</b>")
#define STR_THRESHHI N_("Replaces values above <b>level</b> with <b>level</b>")
#define STR_THRESH N_("Replaces values below <b>lo</b> with <b>lo</b> and values above <b>hi</b> with <b>hi</b>")
#define STR_TILT N_("Computes the sensor tilt as the fwhm difference between the best and worst corner truncated mean values. The <b>clear</b> option allows to clear the drawing")

#define STR_UNSELECT N_("Allows easy mass unselection of images in the sequence <b>sequencename</b> (from <b>from</b> to <b>to</b> included). See SELECT")
#define STR_UNSETMAG N_("Reset the magnitude calibration to 0. See SETMAG")
#define STR_SEQUNSETMAG N_("Resets the magnitude calibration and reference star for the sequence. See SEQSETMAG")
#define STR_UNSHARP N_("Applies to the working image an unsharp mask with sigma <b>sigma</b> and coefficient <b>multi</b>")

#define STR_VISU N_("Displays an image with <b>low</b> and <b>high</b> as the low and high threshold")

#define STR_WAVELET N_("Computes the wavelet transform on (<b>nbr_layers</b>=1...6) layer(s) using linear (<b>type</b>=1) or bspline (<b>type</b>=2) version of the 'à trous' algorithm. The result is stored in a file as a structure containing the layers, ready for weighted reconstruction with WRECONS")
#define STR_WIENER N_("Restores an image using the Wiener deconvolution method.\n\nThe parameter <b>-alpha=</b> provides the Gaussian noise modelled regularization factor")
#define STR_WRECONS N_("Reconstructs to current image from the layers previously computed with wavelets and weighted with coefficients <b>c1</b>, <b>c2</b>, ..., <b>cn</b> according to the number of layers used for wavelet transform")

#endif /* SRC_CORE_COMMAND_DEF_H_ */
